[arch-commits] Commit in gtkpod/trunk (PKGBUILD gtkpod.install)

Jan de Groot jgc at archlinux.org
Wed Dec 16 02:55:14 EST 2009


    Date: Wednesday, December 16, 2009 @ 02:55:14
  Author: jgc
Revision: 61437

Fix FS#17527 - add makedepend on intltool
Do some PKGBUILD styling
Remove the invalid ops from .install file

Modified:
  gtkpod/trunk/PKGBUILD
  gtkpod/trunk/gtkpod.install

----------------+
 PKGBUILD       |   12 ++++++------
 gtkpod.install |    5 -----
 2 files changed, 6 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-12-16 07:04:58 UTC (rev 61436)
+++ PKGBUILD	2009-12-16 07:55:14 UTC (rev 61437)
@@ -9,14 +9,14 @@
 license=('GPL')
 url="http://gtkpod.sourceforge.net"
 install=gtkpod.install
-depends=('libgpod>=0.7.0' libmp4v2 flac libid3tag gnome-vfs
-        libgnomecanvas flac libvorbis curl libglade)
+depends=('libgpod>=0.7.0' 'libmp4v2' 'flac' 'libid3tag' 'gnome-vfs' 'libgnomecanvas' 'flac' 'libvorbis' 'curl' 'libglade')
+makedepends=('intltool')
 source=(http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+md5sums=('f7948eceb955b302f4c47da4c0e1ec12')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR="${pkgdir}" install || return 1
 }
-md5sums=('f7948eceb955b302f4c47da4c0e1ec12')

Modified: gtkpod.install
===================================================================
--- gtkpod.install	2009-12-16 07:04:58 UTC (rev 61436)
+++ gtkpod.install	2009-12-16 07:55:14 UTC (rev 61437)
@@ -10,8 +10,3 @@
 post_upgrade() {
   post_install $1
 }
-
-op=$1
-shift
-
-$op $*



More information about the arch-commits mailing list